curl --request PUT \
--url https://api.lendflow.com/api/applications/{application_id}/data_orchestration/{orchestration_log_id}/step_outcome \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"outcome": "pass",
"comment": "Bank statements were reviewed by hand."
}
'import requests
url = "https://api.lendflow.com/api/applications/{application_id}/data_orchestration/{orchestration_log_id}/step_outcome"
payload = {
"outcome": "pass",
"comment": "Bank statements were reviewed by hand."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({outcome: 'pass', comment: 'Bank statements were reviewed by hand.'})
};
fetch('https://api.lendflow.com/api/applications/{application_id}/data_orchestration/{orchestration_log_id}/step_outcome', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lendflow.com/api/applications/{application_id}/data_orchestration/{orchestration_log_id}/step_outcome",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'outcome' => 'pass',
'comment' => 'Bank statements were reviewed by hand.'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lendflow.com/api/applications/{application_id}/data_orchestration/{orchestration_log_id}/step_outcome"
payload := strings.NewReader("{\n \"outcome\": \"pass\",\n \"comment\": \"Bank statements were reviewed by hand.\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.lendflow.com/api/applications/{application_id}/data_orchestration/{orchestration_log_id}/step_outcome")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"outcome\": \"pass\",\n \"comment\": \"Bank statements were reviewed by hand.\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lendflow.com/api/applications/{application_id}/data_orchestration/{orchestration_log_id}/step_outcome")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"outcome\": \"pass\",\n \"comment\": \"Bank statements were reviewed by hand.\"\n}"
response = http.request(request)
puts response.read_body{}Update Data Orchestration Step Outcome
Sets the outcome of the step the data orchestration run stopped at: marks it as passed and resumes the run, marks it as failed and resumes the run down its fail path, or runs the step again. The action is queued and processed asynchronously; read the run to see its result.
curl --request PUT \
--url https://api.lendflow.com/api/applications/{application_id}/data_orchestration/{orchestration_log_id}/step_outcome \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"outcome": "pass",
"comment": "Bank statements were reviewed by hand."
}
'import requests
url = "https://api.lendflow.com/api/applications/{application_id}/data_orchestration/{orchestration_log_id}/step_outcome"
payload = {
"outcome": "pass",
"comment": "Bank statements were reviewed by hand."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({outcome: 'pass', comment: 'Bank statements were reviewed by hand.'})
};
fetch('https://api.lendflow.com/api/applications/{application_id}/data_orchestration/{orchestration_log_id}/step_outcome', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lendflow.com/api/applications/{application_id}/data_orchestration/{orchestration_log_id}/step_outcome",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'outcome' => 'pass',
'comment' => 'Bank statements were reviewed by hand.'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lendflow.com/api/applications/{application_id}/data_orchestration/{orchestration_log_id}/step_outcome"
payload := strings.NewReader("{\n \"outcome\": \"pass\",\n \"comment\": \"Bank statements were reviewed by hand.\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.lendflow.com/api/applications/{application_id}/data_orchestration/{orchestration_log_id}/step_outcome")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"outcome\": \"pass\",\n \"comment\": \"Bank statements were reviewed by hand.\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lendflow.com/api/applications/{application_id}/data_orchestration/{orchestration_log_id}/step_outcome")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"outcome\": \"pass\",\n \"comment\": \"Bank statements were reviewed by hand.\"\n}"
response = http.request(request)
puts response.read_body{}Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Path Parameters
The ID of the application.
The ID of the orchestration log.
Body
What to do with the step the run stopped at. pass marks the step passed and resumes the run from there, fail marks it failed and resumes the run down the step's fail path, and retry runs the step again, which may repeat a billable provider call.
pass, fail, retry "pass"
Note recorded on the history entry this action adds to the run.
"Bank statements were reviewed by hand."
Response
The response is of type object.
Was this page helpful?